Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class RuleEditor

    java.lang.Object
      org.exist.client.xacml.AbstractNodeEditor
          org.exist.client.xacml.PolicyElementEditor
              org.exist.client.xacml.RuleEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.event.DocumentListener, java.util.EventListener, NodeEditor

public class RuleEditor
extends PolicyElementEditor

Field Summary
`static java.lang.String` | `DENY`
`static java.lang.String` | `PERMIT`

Constructor Summary
`RuleEditor()`

Method Summary
`int` | `getEffect()`
`void` | `pushChanges()`
`void` | `setNode(XACMLTreeNode treeNode)`

Methods inherited from class org.exist.client.xacml.PolicyElementEditor
`actionPerformed, changedUpdate, getAlgorithm, getComponent, getDescription, getId, getID, getIDString, insertUpdate, removeUpdate`

Methods inherited from class org.exist.client.xacml.AbstractNodeEditor
`addChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMIT

    public static final java.lang.String PERMIT

See Also:
  Constant Field Values

### DENY

    public static final java.lang.String DENY

See Also:
  Constant Field Values

Constructor Detail

### RuleEditor

    public RuleEditor()

Method Detail

### getEffect

    public int getEffect()

### setNode

    public void setNode(XACMLTreeNode treeNode)

  Specified by:
    `setNode` in interface `NodeEditor`
  Overrides:
    `setNode` in class `PolicyElementEditor`

### pushChanges

    public void pushChanges()

  Specified by:
    `pushChanges` in interface `NodeEditor`
  Overrides:
    `pushChanges` in class `PolicyElementEditor`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.